<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sysint__enums" kind="group">
    <compoundname>group_sysint_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__sysint__enums_1ga8010dee187715cab833c8564fccedc20" kind="enum" prot="public" static="no">
        <name>cy_en_intr_t</name>
        <briefdescription>
<para><bold>cy_en_intr_t: </bold><linebreak />The enumerated type representing interrupt numbers that can be routed to the CM0+ Nested Vector Interrupt Controller (NVIC). Interrupt numbers are device-dependent. Refer to a device-specific header file, e.g. &lt;PDL_DIR&gt;/devices/include/cy8c637bzi_bld74.h for the specific enumerations for each interrupt number for that device.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="12" bodyfile="mainpage/en_intr_type.h" bodystart="12" column="1" file="mainpage/en_intr_type.h" line="12" />
      </memberdef>
      <memberdef id="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8" kind="enum" prot="public" static="no">
        <name>IRQn_Type</name>
        <briefdescription>
<para><bold>IRQn_Type: </bold><linebreak />The enumerated type representing interrupt numbers. Interrupt numbers are device-dependent. Refer to a device-specific header file, e.g. &lt;PDL_DIR&gt;/devices/include/cy8c637bzi_bld74.h for the specific enumerations for each interrupt number for that device.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="12" bodyfile="mainpage/irqn_type.h" bodystart="12" column="1" file="mainpage/irqn_type.h" line="12" />
      </memberdef>
      <memberdef id="group__group__sysint__enums_1ga01619b224f9d5c23915e51783ea184c8" kind="enum" prot="public" static="no">
        <name>cy_en_sysint_status_t</name>
        <enumvalue id="group__group__sysint__enums_1gga01619b224f9d5c23915e51783ea184c8af7db469e7f8cd5cb7917d1324005eb89" prot="public">
          <name>CY_SYSINT_SUCCESS</name>
          <initializer>= 0x0UL</initializer>
          <briefdescription>
<para>Returned successful. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysint__enums_1gga01619b224f9d5c23915e51783ea184c8ad832bf40b083bde34b586c79fbc11270" prot="public">
          <name>CY_SYSINT_BAD_PARAM</name>
          <initializer>= CY_SYSINT_ID | CY_PDL_STATUS_ERROR | 0x1UL</initializer>
          <briefdescription>
<para>Bad parameter was passed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sysint_status_t: </bold><linebreak />SysInt Driver error codes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="302" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysint.h" bodystart="298" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysint.h" line="299" />
      </memberdef>
      <memberdef id="group__group__sysint__enums_1ga07f7e918a4abcd8e1da910e9642e6ccb" kind="enum" prot="public" static="no">
        <name>cy_en_sysint_nmi_t</name>
        <enumvalue id="group__group__sysint__enums_1gga07f7e918a4abcd8e1da910e9642e6ccbafc6fdeffd7f2d0d790358985ecd3d997" prot="public">
          <name>CY_SYSINT_NMI1</name>
          <initializer>= 1UL</initializer>
          <briefdescription>
<para>NMI source input 1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysint__enums_1gga07f7e918a4abcd8e1da910e9642e6ccbaf251567c4099d9dd9a1b0a3a77f1e1b2" prot="public">
          <name>CY_SYSINT_NMI2</name>
          <initializer>= 2UL</initializer>
          <briefdescription>
<para>NMI source input 2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysint__enums_1gga07f7e918a4abcd8e1da910e9642e6ccba78887a60dfeccd3c9cc5c2fd2eba2f34" prot="public">
          <name>CY_SYSINT_NMI3</name>
          <initializer>= 3UL</initializer>
          <briefdescription>
<para>NMI source input 3. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysint__enums_1gga07f7e918a4abcd8e1da910e9642e6ccbad4a02270478b27af7fa2fa5f4bed569d" prot="public">
          <name>CY_SYSINT_NMI4</name>
          <initializer>= 4UL</initializer>
          <briefdescription>
<para>NMI source input 4. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sysint_nmi_t: </bold><linebreak />NMI connection input.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="311" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysint.h" bodystart="305" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysint.h" line="306" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>